LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XClipboardOwner Interface Referencepublished

The owner of a transferable object may pass this interface to the clipboard instance. More...

`import"XClipboardOwner.idl";`

Inheritance diagram for XClipboardOwner:

## Public Member Functions
void | lostOwnership ([in] XClipboard xClipboard, [in] com::sun::star::datatransfer::XTransferable xTrans)
| Notifies the transferable object source that it is no longer the owner of the clipboard. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The owner of a transferable object may pass this interface to the clipboard instance.

See also
  com::sun::star::datatransfer::clipboard::XClipboard

## Member Function Documentation

## ◆ lostOwnership()

void lostOwnership | ( | [in] XClipboard | xClipboard,
|  | [in] com::sun::star::datatransfer::XTransferable | xTrans
| ) |  |

Notifies the transferable object source that it is no longer the owner of the clipboard.

Parameters

  xClipboard | The clipboard for which the ownership was lost.
  xTrans | The transferable object that has been the contents of the clipboard.

See also
  com::sun::star::datatransfer::clipboard::XClipboard
  com::sun::star::datatransfer::XTransferable

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/clipboard/XClipboardOwner.idl